> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a QC checklist group

> Creates a new group on a review-type QC checklist



## OpenAPI

````yaml /api-reference/qc/openapi.yaml post /v2/qc/checklists/{qclID}/groups
openapi: 3.0.0
info:
  title: QC API
  description: >-
    API for managing Quality Control checklists, requests, approving or
    rejecting requests, etc.
  version: 2.0.0
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/qc
    description: Production
  - url: https://api.uat.slate.inc/qc
    description: UAT (staging)
security:
  - bearerAuth: []
paths:
  /v2/qc/checklists/{qclID}/groups:
    post:
      summary: Create a QC checklist group
      description: Creates a new group on a review-type QC checklist
      parameters:
        - in: path
          name: qclID
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateQCChecklistGroup'
      responses:
        '201':
          description: QC Checklist group created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QCChecklistGroup'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Quality Checklist not found or token does not have permission
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateQCChecklistGroup:
      type: object
      required:
        - groupName
      properties:
        groupName:
          type: string
          description: Name of the QC checklist group
        groupType:
          type: string
          description: >-
            The type of numbering used for the group. Defaults to `alphanumeric`
            when omitted.
          enum:
            - alphanumeric
            - numeric
    QCChecklistGroup:
      type: object
      required:
        - id
        - groupName
        - groupType
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist group
        groupName:
          type: string
          description: Name of the QC checklist group
        groupType:
          type: string
          description: The type of numbering used for the group
          enum:
            - alphanumeric
            - numeric
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: A human readable error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Owner-scoped bearer token. The `owner` a request is scoped to is derived
        from the token; list endpoints also take an explicit `owner` query
        parameter your token must be authorized to read.

````